Bug 21420 - Remove deprecated Glib+ symbols
Summary: Remove deprecated Glib+ symbols
Status: RESOLVED FIXED
Alias: None
Product: nice
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Dafydd Harries
QA Contact:
URL:
Whiteboard:
Keywords: janitor
Depends on:
Blocks:
 
Reported: 2009-04-26 11:26 UTC by Andre Klapper
Modified: 2009-06-15 15:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2009-04-26 11:26:53 UTC
According to http://www.gnome.org/~fpeters/299.html
libnotify (0.0.5) uses a deprecated Glib+ symbol in libnotify/notification.c:
g_strcasecmp
This is still valid in master.

$:andre\> grep -r g_strcasecmp .
./agent/interfaces.c:      if (g_strcasecmp (interface_name, tmp_str) == 0) {

See http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/Glib and
http://library.gnome.org/devel/glib/stable/glib-String-Utility-Functions.html#g-strcasecmp
Comment 1 Andre Klapper 2009-04-26 11:30:52 UTC
Remove the "in libnotify/notification.c:". Bad copy and paste. Sorry.
Comment 2 Andre Klapper 2009-06-14 07:59:22 UTC
Youness, can you take a look at this, please?
Comment 3 Youness Alaoui 2009-06-15 15:32:32 UTC
Thanks,
I've now fixed that in the git repo. The next version will include the fix.

p.s.: That code was only called on Windows ...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.